<?php

namespace Ardent\PipelineBundle\Pipeline\OptionsProcessor;

class Options
{
    public function __construct(private readonly array $options)
    {
    }

    public function get(string $key, $default = null): mixed
    {
        if (array_key_exists($key, $this->options) && $this->options[$key] !== null) {
            return $this->options[$key];
        } else {
            return $default;
        }
    }
}